# Visualization
TKV3d
AIS

# AIS_IndexedDataMapNodeOfIndexedDataMapOfOwnerPrs Class Reference

`#include <AIS_IndexedDataMapNodeOfIndexedDataMapOfOwnerPrs.hxx>`

## Public Member Functions

| AIS_IndexedDataMapNodeOfIndexedDataMapOfOwnerPrs (const Handle(SelectMgr_EntityOwner)&K1, const Standard_Integer K2, const Handle(Prs3d_Presentation)&I, const TCollection_MapNodePtr &n1, const TCollection_MapNodePtr &n2)
Handle_SelectMgr_EntityOwner & | Key1 () const
Standard_Integer & | Key2 () const
TCollection_MapNodePtr & | Next2 () const
Handle_Prs3d_Presentation & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_SelectMgr_EntityOwner | myKey1
Standard_Integer | myKey2
Handle_Prs3d_Presentation | myValue
TCollection_MapNodePtr | myNext2

## Constructor & Destructor Documentation

AIS_IndexedDataMapNodeOfIndexedDataMapOfOwnerPrs::AIS_IndexedDataMapNodeOfIndexedDataMapOfOwnerPrs | ( | const Handle(SelectMgr_EntityOwner)& | K1,
|  | const Standard_Integer | K2,
|  | const Handle(Prs3d_Presentation)& | I,
|  | const TCollection_MapNodePtr & | n1,
|  | const TCollection_MapNodePtr & | n2
| ) |

## Member Function Documentation

Standard_EXPORT const AIS_IndexedDataMapNodeOfIndexedDataMapOfOwnerPrs::Handle | ( | Standard_Type |  | ) | const

Handle_SelectMgr_EntityOwner& AIS_IndexedDataMapNodeOfIndexedDataMapOfOwnerPrs::Key1 | ( |  | ) | const

Standard_Integer& AIS_IndexedDataMapNodeOfIndexedDataMapOfOwnerPrs::Key2 | ( |  | ) | const

TCollection_MapNodePtr& AIS_IndexedDataMapNodeOfIndexedDataMapOfOwnerPrs::Next2 | ( |  | ) | const

Handle_Prs3d_Presentation& AIS_IndexedDataMapNodeOfIndexedDataMapOfOwnerPrs::Value | ( |  | ) | const

## Field Documentation

Handle_SelectMgr_EntityOwner AIS_IndexedDataMapNodeOfIndexedDataMapOfOwnerPrs::myKey1 `[private]`

Standard_Integer AIS_IndexedDataMapNodeOfIndexedDataMapOfOwnerPrs::myKey2 `[private]`

TCollection_MapNodePtr AIS_IndexedDataMapNodeOfIndexedDataMapOfOwnerPrs::myNext2 `[private]`

Handle_Prs3d_Presentation AIS_IndexedDataMapNodeOfIndexedDataMapOfOwnerPrs::myValue `[private]`

The documentation for this class was generated from the following file:

- AIS_IndexedDataMapNodeOfIndexedDataMapOfOwnerPrs.hxx